<JSB>
<JSB_DESCRIPTOR NAME = "NetObjectBean" 
DISPLAYNAME = "NetObject Fusion JavaScript" ENV = "client" 
SHORTDESCRIPTION = "NOF JSB file" JSFILE="effects.js">

<!--  The Netobject Bean	  Version 0.2 -->
<!--


/***** DRAWOBJ TYPES  MAPPED TO HTML OBJECTS  *****/

	layout					*doc	// special case for layout
	
	rectangle,	 			*img,vis
	roundRectangle, 		*img,vis
	line,					*img,vis
	ellipse,				*img,vis
	text,					*txt,vis
	picture,				*img,vis
	poly,					*img,vis
	ShockWave,				*shk
	Sound,					*snd	// this is a bit wierd: either linked icon orinline
	Video,					*vid		// this is a bit wierd: either linked icon orinline
	ActiveX,				*act
	FormMultiEdit,			*tfd
	arrowline,				*img,vis
	NavBar,					*nav,vis
	Banner,					*img,vis 		// might do something different here?
	VertBar,				*nav,vis				
	VertBanner,				*img,vis
	FormButton,				*btn
	FormRadio,				*rad
	FormCheckBox,			*chk
	FormEdit,				*tfd
	FormPsw,		//not used!
	FormComboBox,			*sel
	FormClearButton,		*btn
	BBSComp,								// these are all components, see below
	SiteMapperComp,
	PopMenuComp,
	FormToolComp,
	BillboardComp,
	TickerTape,
	NavBarPicture,			*img,vis
	Quicktime,				*qck
	styleLine,				*vis
	whiteboard,				*lyr, vis
	
//	AND: (drawobj types???)
	Java					*jav,vis
	Component				*com,vis 	 // if we wrap our components as javabeans, then we can get event, method info for them that way
	JavaBean				*jbn,vis
	Table					*tbl,vis
	ImageMap				*map
	TextLink				*tln
	DataList							

	Frameset				*fst
	Frame					*fra

/*****  HTML TYPES MAPPED TO LAYOUT TYPES *****/

	img = image		 		  	// picture, navbutton, banner, drawobjects
	txt = text block			// text
	chk = checkbox				// FormCheckbox
	rad = radio button		 	// FormRadio
	frm = form					// ****
	tfd = text field			// FormEdit, FormMultiEdit
	sel = selection object	 	// FormComboBox
	btn = button				// FormButton
	doc = document				// layout
	win = window				// ****
	lyr = white board			// whiteboard

// NEW:  (no custom entries yet, but most are in 'VIS')
	shk = shockwave				// ShockWave
	snd = Sound					// Sound
	vid = Video					// Video
	act = ActiveX				// ActiveX
	nav = NavBar				// NavBar, VertBar
	tbl = Table					// Table
	jav = Java					// ???
	com = Component				// ???
	jbn = JavaBean				// ??
	map	= imageMap				//
	tln = text link				//
		
	vis = visible object 	(img, txt, lyr, nav, tbl)
	all = all object			//

/*****  PROPERTY TYPES *****/

//???? do we need all these???

	string
	number	
	boolean
	path		- needs to be resolved at publish time
	object		- JavaScript object containing multiple parameters (point, rect, message)
	link		- needs to be resolved at publish time
	color		- treat as string?

/*****  PROPERTY CLASSES *****/

	image 		- brings up NOF image selection dialog
	file		- brings up file open dialog 				// is there a way to specify type filters?
	objectID	- select an ID from list of layout objects
	link		- brings up NOF link dialog
	color		- brings up color picker or type to set #rrggbb
	message		- brings up message dialog to set Target, Message, Data (and Name?)
	
-->



<!--  The list of events in the Netobject Bean -->



<!-- ###### Mouse ######## -->			
 
<JSB_EVENT NAME = "Clicked" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "img,tln,map,chk,rad,btn">
<!--
<JSB_EVENT NAME = "Double Clicked" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "img,tln,map">
-->
<JSB_EVENT NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Clicked" >

<!--
<JSB_EVENT NAME = "Mouse Down" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "vis,doc, fra, map">
<JSB_EVENT NAME = "Mouse Up" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "vis,doc, fra, map">
-->
<JSB_EVENT NAME = "Mouse Down" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "img,tln, map">
<JSB_EVENT NAME = "Mouse Up" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "img,tln, map">

<JSB_EVENT NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Mouse Up" >

<JSB_EVENT NAME = "Mouse Over" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "img, lyr,tln, map">
<JSB_EVENT NAME = "Mouse Out" DISPLAYNAME = "" MENUITEM = "Mouse" LAYOUTOBJECTLIST = "img,  lyr,tln, map">

<!-- ###### Object ######## -->			


<JSB_EVENT NAME = "Hidden" DISPLAYNAME = "Hidden" MENUITEM = "Object" LAYOUTOBJECTLIST = "vis,shk, com,snd,jav,jbn,act,vid,qck,doc, fra">
<JSB_EVENT NAME = "Shown" DISPLAYNAME = "Shown" MENUITEM = "Object" LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc, fra">

<JSB_EVENT NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Shown">
<!--
<JSB_EVENT NAME = "Error" DISPLAYNAME = "Error" MENUITEM = "Object" LAYOUTOBJECTLIST = "img">
<JSB_EVENT NAME = "Loaded" DISPLAYNAME = "Loaded" MENUITEM = "Object" LAYOUTOBJECTLIST = "img">
-->

<JSB_EVENT NAME = "Focus" DISPLAYNAME = "Focus" MENUITEM = "Object" LAYOUTOBJECTLIST = "chk">
<JSB_EVENT NAME = "Blur" DISPLAYNAME = "Blur" MENUITEM = "Object" LAYOUTOBJECTLIST = "chk">

<JSB_EVENT NAME = "Focus" DISPLAYNAME = "Focus" MENUITEM = "Object" LAYOUTOBJECTLIST = "rad">
<JSB_EVENT NAME = "Blur" DISPLAYNAME = "Blur" MENUITEM = "Object" LAYOUTOBJECTLIST = "rad">

<JSB_EVENT NAME = "Reset" DISPLAYNAME = "Reset" MENUITEM = "Object" LAYOUTOBJECTLIST = "frm">
<JSB_EVENT NAME = "Submit" DISPLAYNAME = "Submit" MENUITEM = "Object" LAYOUTOBJECTLIST = "frm">

<!--  ##### should have onChange here -->
<JSB_EVENT NAME = "Change" DISPLAYNAME = "Change" MENUITEM = "Object" LAYOUTOBJECTLIST = "tfd">
<JSB_EVENT NAME = "Select" DISPLAYNAME = "Select" MENUITEM = "Object" LAYOUTOBJECTLIST = "tfd">
<JSB_EVENT NAME = "Focus" DISPLAYNAME = "Focus" MENUITEM = "Object" LAYOUTOBJECTLIST = "tfd">
<JSB_EVENT NAME = "Blur" DISPLAYNAME = "Blur" MENUITEM = "Object" LAYOUTOBJECTLIST = "tfd">

<!--  ##### should have onChange here -->
<JSB_EVENT NAME = "Change" DISPLAYNAME = "Change" MENUITEM = "Object" LAYOUTOBJECTLIST = "sel">
<JSB_EVENT NAME = "Focus" DISPLAYNAME = "Focus" MENUITEM = "Object" LAYOUTOBJECTLIST = "sel">
<JSB_EVENT NAME = "Blur" DISPLAYNAME = "Blur" MENUITEM = "Object" LAYOUTOBJECTLIST = "sel">



<JSB_EVENT NAME = "Clicked" DISPLAYNAME = "Clicked" MENUITEM = "Object" LAYOUTOBJECTLIST = "btn">
<JSB_EVENT NAME = "Focus" DISPLAYNAME = "Focus" MENUITEM = "Object" LAYOUTOBJECTLIST = "btn">
<JSB_EVENT NAME = "Blur" DISPLAYNAME = "Blur" MENUITEM = "Object" LAYOUTOBJECTLIST = "btn">


<!-- ###### Page ######## -->			

<JSB_EVENT NAME = "Page Loaded" DISPLAYNAME = "" MENUITEM = "Page" LAYOUTOBJECTLIST = "vis,shk,com,tln,snd,jav,jbn,act,vid,qck,doc, fra,fst,chk,tfd,rad.sel,btn,map">
<JSB_EVENT NAME = "Page Exiting" DISPLAYNAME = "" MENUITEM = "Page" LAYOUTOBJECTLIST = "vis,shk,com,tln,snd,jav,jbn,act,vid,qck,doc, fra,fst,tfd,rad.sel,btn,map">


<JSB_EVENT NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Page">


<!-- ###### Transition ######## -->			

<JSB_EVENT NAME = "Transition Started" DISPLAYNAME = "Transition Started" MENUITEM = "Transition" LAYOUTOBJECTLIST = "vis,doc, fra">
<JSB_EVENT NAME = "Transition Ended" DISPLAYNAME = "Transition Ended" MENUITEM = "Transition" LAYOUTOBJECTLIST = "vis,doc, fra">


<!-- ###### Motion ######## -->			

<JSB_EVENT NAME = "Motion Started" DISPLAYNAME = "Motion Started" MENUITEM = "Motion" LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
<JSB_EVENT NAME = "Motion Ended" DISPLAYNAME = "Motion Ended" MENUITEM = "Motion" LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">

<!-- ###### Drag ######## -->			

<JSB_EVENT NAME = "Drag Started" DISPLAYNAME = "Drag Started" MENUITEM = "Drag" LAYOUTOBJECTLIST = "vis">
<JSB_EVENT NAME = "Drag Ended" DISPLAYNAME = "Drag Ended" MENUITEM = "Drag" LAYOUTOBJECTLIST = "vis">

<JSB_EVENT NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Drag" >


<!-- ###### Get Property ######## -->			


<!-- ###### Set Property ######## -->			

<!-- ###### Utility ######## -->			

 
<!-- ###### Window ######## -->			

<JSB_EVENT NAME = "Focus Window" DISPLAYNAME = "Focus" MENUITEM = "Window" LAYOUTOBJECTLIST = "doc,fra, fst">
<JSB_EVENT NAME = "Blur Window" DISPLAYNAME = "Blur" MENUITEM = "Window" LAYOUTOBJECTLIST = "doc,fra, fst">

 
<JSB_EVENT NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Window" >


<!--  The list of methods in the Netobject Bean -->



<!-- ###### Mouse ######## -->			

<!--
<JSB_METHOD
	NAME = "Set Masking"
	DISPLAYNAME = "Set Masking"
	TYPE=void
	MENUITEM = "Mouse"
	POPPARAMETERLIST = "true,false"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Masking"
	DISPLAYNAME = "Get Masking"
	TYPE=void
	MENUITEM = "Mouse"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
-->
<!-- ###### Object ######## -->			
 
<JSB_METHOD
	NAME = "Hide"
	DISPLAYNAME = "Hide"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Show"
	DISPLAYNAME = "Show"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Show"></JSB_METHOD>

<JSB_METHOD
	NAME = "Bring Forward"
	DISPLAYNAME = "Bring Forward"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Send Backward"
	DISPLAYNAME = "Send Backward"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Send Backward"></JSB_METHOD>

<JSB_METHOD
	NAME = "Bring To Front"
	DISPLAYNAME = "Bring To Front"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Send To Back"
	DISPLAYNAME = "Send To Back"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Send to Back"></JSB_METHOD>

<JSB_METHOD
	NAME = "Save Position"
	DISPLAYNAME = "Save Position"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Restore Position"
	DISPLAYNAME = "Restore Position"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>						

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Restore Position"></JSB_METHOD>

<JSB_METHOD
	NAME = "Delay"
	DISPLAYNAME = "Delay"
	TYPE=string
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "vis,shk,com,tln,snd,jav,jbn,act,vid,qck,doc,fra,frs">
	<JSB_PARAMETER
		NAME = "action"
		DISPLAYNAME = "Custom Message"
		TYPE = "customevent">
	<JSB_PARAMETER
		NAME = "delay"
		DISPLAYNAME = "Delay (seconds)"
		TYPE = "number">
	<JSB_PARAMETER
		NAME = "continuous"
		DISPLAYNAME = "Loop"
		TYPE = "boolean">
</JSB_METHOD>


<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Delay"></JSB_METHOD>


<!-- ***** Image specific ***** -->		
<JSB_METHOD
	NAME = "Set Image"
	DISPLAYNAME = "Set Image"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "img">
	<JSB_PARAMETER
		NAME = "Image 1 (Normal)"
		DISPLAYNAME = "Image 1 (Normal)"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 2 (Highlighted)"
		DISPLAYNAME = "Image 2 (Highlighted)"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 3 (Depressed)"
		DISPLAYNAME = "Image 3 (Depressed)"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 4 (Selected)"
		DISPLAYNAME = "Image 4 (Selected)"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 5"
		DISPLAYNAME = "Image 5"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 6"
		DISPLAYNAME = "Image 6"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 7"
		DISPLAYNAME = "Image 7"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 8"
		DISPLAYNAME = "Image 8"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 9"
		DISPLAYNAME = "Image 9"
		TYPE = "image">
	<JSB_PARAMETER
		NAME = "Image 10"
		DISPLAYNAME = "Image 10"
		TYPE = "image">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Use Image"
	DISPLAYNAME = "Use Image"
	TYPE=void
	MENUITEM = "Object"
	POPPARAMETERLIST = "Image 1 (Normal),Image 2 (Highlighted),Image 3 (Depressed),Image 4 (Selected),Image 5,Image 6,Image 7,Image 8,Image 9,Image 10"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Use Image"></JSB_METHOD>
 
<!-- ***** Checkbox specific ***** -->		

<JSB_METHOD
	NAME = "Check"
	DISPLAYNAME = "Check"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>						


<JSB_METHOD
	NAME = "Uncheck"
	DISPLAYNAME = "Uncheck"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Focus"
	DISPLAYNAME = "Focus"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Blur"
	DISPLAYNAME = "Blur"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>						
  
<!-- ***** Radio Button specific ***** -->		
 
<JSB_METHOD
	NAME = "Check"
	DISPLAYNAME = "Check"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "rad">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Uncheck"
	DISPLAYNAME = "Uncheck"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "rad">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Focus"
	DISPLAYNAME = "Focus"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "rad">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Blur"
	DISPLAYNAME = "Blur"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "rad">
</JSB_METHOD>						

<!-- ***** Form specific ***** -->		
 
<JSB_METHOD
	NAME = "Reset"
	DISPLAYNAME = "Reset"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "frm">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Submit"
	DISPLAYNAME = "Submit"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "frm">
</JSB_METHOD>						
 
<!-- ***** Text Field specific ***** -->		

<JSB_METHOD
	NAME = "Select"
	DISPLAYNAME = "Select"
	TYPE=void
	MENUITEM = "Object"
	MENUITEMBITMAP = "ie.bmp"
	LAYOUTOBJECTLIST = "tfd">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Focus"
	DISPLAYNAME = "Focus"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "tfd">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Blur"
	DISPLAYNAME = "Blur"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "tfd">
</JSB_METHOD>						
 
<!-- ***** Selection Object specific ***** -->		

<JSB_METHOD
	NAME = "Select"
	DISPLAYNAME = "Select"
	TYPE=string
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "sel">
	<JSB_PARAMETER
		NAME = "index"
		DISPLAYNAME = "Index"
		TYPE = "number"
		VALUESET = "0-999"
		DEFAULTVALUE="0"
		CLASS="number">	
</JSB_METHOD>

<JSB_METHOD
	NAME = "Restore Default Selection"
	DISPLAYNAME = "Restore Default Selection"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Delete Option"
	DISPLAYNAME = "Delete Option"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "sel">
	<JSB_PARAMETER
		NAME = "Option Number"
		DISPLAYNAME = "Option Number"
		TYPE = "number"
		VALUESET = "0-99"
		DEFAULTVALUE="0"
		CLASS="number">	
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Add Option"
	DISPLAYNAME = "Add Option"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "sel">
	<JSB_PARAMETER
		NAME = "Option Name"
		DISPLAYNAME = "Option Name"
		TYPE = "string">	
	<JSB_PARAMETER
		NAME = "Value"
		DISPLAYNAME = "Value"
		TYPE = "string">	
</JSB_METHOD>						

<JSB_METHOD
	NAME = "Focus"
	DISPLAYNAME = "Focus"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Blur"
	DISPLAYNAME = "Blur"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>						

<!-- ***** Button specific ***** -->		

<JSB_METHOD
	NAME = "Click"
	DISPLAYNAME = "Click"
	TYPE=void
	MENUITEM = "Object"
	MENUITEMBITMAP = "ie.bmp"
	LAYOUTOBJECTLIST = "btn">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Focus"
	DISPLAYNAME = "Focus"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "btn">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Blur"
	DISPLAYNAME = "Blur"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "btn">
</JSB_METHOD>
 
<!-- ***** Sound ***** -->		

<JSB_METHOD
	NAME = "Play"
	DISPLAYNAME = "Play"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "snd">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Pause"
	DISPLAYNAME = "Pause"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "snd">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Stop"
	DISPLAYNAME = "Stop"
	TYPE=void
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "snd">
</JSB_METHOD>	
 
<!-- ***** Region ***** -->		
					
<JSB_METHOD
	NAME = "Display File"
	DISPLAYNAME = "Display File"
	TYPE=string
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "lyr">
	<JSB_PARAMETER
		NAME = "URL"
		DISPLAYNAME = "URL"
		TYPE = "link">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Display HTML"
	DISPLAYNAME = "Display HTML"
	TYPE=string
	MENUITEM = "Object"
	LAYOUTOBJECTLIST = "lyr">
	<JSB_PARAMETER
		NAME = "HTML"
		DISPLAYNAME = "HTML"
		TYPE = "string">
</JSB_METHOD>


<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Object"></JSB_METHOD>

<!-- ###### Transition ######## -->			

<JSB_METHOD
	NAME = "Wipe"
	DISPLAYNAME = "Wipe"
	TYPE=void
	MENUITEM = "Transition"
	LAYOUTOBJECTLIST = "vis,doc,fra"
	POPPARAMETERLIST = "In From Top,In From Top Right,In From Right,In From Bottom Right,In From Bottom,In From Bottom Left,In From Left,In From Top Left,Out To Top,Out To Top Right,Out To Right,Out To Bottom Right,Out To Bottom,Out To Bottom Left,Out To Left,Out To Top Left">
   <JSB_PARAMETER  
		NAME="direction"
		DISPLAYNAME="Direction (degrees)"
   	TYPE="number"
   	VALUESET="0:359"
    	DEFAULTVALUE="0" >   
   <JSB_PARAMETER  
		NAME="hide"
		DISPLAYNAME="Visibility"
   	TYPE=string
   	VALUESET="Hide,Show"
   	PROPERTYEDITOR="selection"
    	DEFAULTVALUE="Show" >
   <JSB_PARAMETER  
		NAME="duration"
		DISPLAYNAME="Duration (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="10" >
   <JSB_PARAMETER  
		NAME="inDuration"
		DISPLAYNAME="Ease In (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="outDuration"
		DISPLAYNAME="Ease Out (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="repeat"
		DISPLAYNAME="Repeat (times)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="1" >
   <JSB_PARAMETER  
		NAME="reverse"
		DISPLAYNAME="Reverse Direction"
   	TYPE=boolean
    	DEFAULTVALUE="false" >
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Completion Message"
		TYPE = "customevent">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Peek"
	DISPLAYNAME = "Peek"
	TYPE=void
	MENUITEM = "Transition"
	LAYOUTOBJECTLIST = "vis,doc,fra"
	POPPARAMETERLIST = "In From Top,In From Top Right,In From Right,In From Bottom Right,In From Bottom,In From Bottom Left,In From Left,In From Top Left,Out To Top,Out To Top Right,Out To Right,Out To Bottom Right,Out To Bottom,Out To Bottom Left,Out To Left,Out To Top Left">
   <JSB_PARAMETER  
		NAME="direction"
		DISPLAYNAME="Direction (degrees)"
   	TYPE="number"
   	VALUESET="0:359"
    	DEFAULTVALUE="0" >   
   <JSB_PARAMETER  
		NAME="hide"
		DISPLAYNAME="Visibility"
   	TYPE=string
   	VALUESET="Hide,Show"
    	DEFAULTVALUE="Show" >
   <JSB_PARAMETER  
		NAME="duration"
		DISPLAYNAME="Duration (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="10" >
   <JSB_PARAMETER  
		NAME="inDuration"
		DISPLAYNAME="Ease In (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="outDuration"
		DISPLAYNAME="Ease Out (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="repeat"
		DISPLAYNAME="Repeat (times)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="1" >
   <JSB_PARAMETER  
		NAME="reverse"
		DISPLAYNAME="Reverse Direction"
   	TYPE=boolean
    	DEFAULTVALUE="false" >
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Completion Message"
		TYPE = "customevent">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Iris"
	DISPLAYNAME = "Iris"
	TYPE=void
	MENUITEM = "Transition"
	LAYOUTOBJECTLIST = "vis,doc,fra"
	POPPARAMETERLIST = "In,Out">
   <JSB_PARAMETER  
		NAME="hide"
		DISPLAYNAME="Visibility"
   	TYPE=string
   	VALUESET="Hide,Show"
   	PROPERTYEDITOR="selection"
    	DEFAULTVALUE="Show" >
   <JSB_PARAMETER  
		NAME="duration"
		DISPLAYNAME="Duration (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="10" >
   <JSB_PARAMETER  
		NAME="inDuration"
		DISPLAYNAME="Ease In (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="outDuration"
		DISPLAYNAME="Ease Out (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="repeat"
		DISPLAYNAME="Repeat (times)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="1" >
   <JSB_PARAMETER  
		NAME="reverse"
		DISPLAYNAME="Reverse Direction"
   	TYPE=boolean
    	DEFAULTVALUE="false" >
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Completion Message"
		TYPE = "customevent">
</JSB_METHOD>						

 
<!-- ###### Motion ######## -->			
<JSB_METHOD
	NAME = "Fly"
	DISPLAYNAME = "Fly"
	TYPE=void
	MENUITEM = "Motion"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra"
	POPPARAMETERLIST = "In From Top,In From Top Right,In From Right,In From Bottom Right,In From Bottom,In From Bottom Left,In From Left,In From Top Left,Out To Top,Out To Top Right,Out To Right,Out To Bottom Right,Out To Bottom,Out To Bottom Left,Out To Left,Out To Top Left">
   <JSB_PARAMETER  
		NAME="direction"
		DISPLAYNAME="Direction (degrees)"
	   	TYPE="number"
   		VALUESET="0:359"
    	DEFAULTVALUE="0" >   
   <JSB_PARAMETER  
		NAME="hide"
		DISPLAYNAME="Visibility"
   	TYPE=string
   	VALUESET="Hide,Show"
   	PROPERTYEDITOR="selection"
    	DEFAULTVALUE="Show" >
   <JSB_PARAMETER  
		NAME="duration"
		DISPLAYNAME="Duration (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="10" >
   <JSB_PARAMETER  
		NAME="inDuration"
		DISPLAYNAME="Ease In (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="outDuration"
		DISPLAYNAME="Ease Out (second/10)"
		TYPE="number"
	 	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="repeat"
		DISPLAYNAME="Repeat (times)"
		TYPE="number"
	 	VALUESET="0:9999"
	  	DEFAULTVALUE="1" >
   <JSB_PARAMETER  
		NAME="reverse"
		DISPLAYNAME="Reverse Direction"
	 	TYPE=boolean
    	DEFAULTVALUE="false" >
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Completion Message"
		TYPE = "customevent">
</JSB_METHOD>
						
<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Fly"></JSB_METHOD>


<JSB_METHOD
	NAME = "Move To"
	DISPLAYNAME = "Move To"
	TYPE=void
	MENUITEM = "Motion"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra"
	POPPARAMETERLIST = "Saved Position">
	<JSB_PARAMETER
		NAME = "x"
		DISPLAYNAME = "Destination: X"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "y"
		DISPLAYNAME = "Destination: Y"
		TYPE = "number"
		DEFAULTVALUE=0>
    <JSB_PARAMETER  
		NAME="duration"
		DISPLAYNAME="Duration (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="10" >
   <JSB_PARAMETER  
		NAME="inDuration"
		DISPLAYNAME="Ease In (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="outDuration"
		DISPLAYNAME="Ease Out (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="repeat"
		DISPLAYNAME="Repeat (times)"
	 	TYPE="number"
	 	VALUESET="0:9999"
    	DEFAULTVALUE="1" >
   <JSB_PARAMETER  
		NAME="reverse"
		DISPLAYNAME="Reverse Direction"
	  	TYPE=boolean
    	DEFAULTVALUE="false" >
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Completion Message"
		TYPE = "customevent">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Move By"
	DISPLAYNAME = "Move By"
	TYPE=void
	MENUITEM = "Motion"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
	<JSB_PARAMETER
		NAME = "x"
		DISPLAYNAME = "Horizontal"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "y"
		DISPLAYNAME = "Vertical"
		TYPE = "number"
		DEFAULTVALUE=0>
    <JSB_PARAMETER  
		NAME="duration"
		DISPLAYNAME="Duration (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="10" >
   <JSB_PARAMETER  
		NAME="inDuration"
		DISPLAYNAME="Ease In (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="outDuration"
		DISPLAYNAME="Ease Out (second/10)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="2" >
   <JSB_PARAMETER  
		NAME="repeat"
		DISPLAYNAME="Repeat (times)"
   	TYPE="number"
   	VALUESET="0:9999"
    	DEFAULTVALUE="1" >
   <JSB_PARAMETER  
		NAME="reverse"
		DISPLAYNAME="Reverse Direction"
   	TYPE=boolean
    	DEFAULTVALUE="false" >
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Completion Message"
		TYPE = "customevent">
</JSB_METHOD>						

<!-- ###### Drag ######## -->	

<JSB_METHOD
	NAME = "Start Drag"
	DISPLAYNAME = "Start Drag"
	TYPE=void
	MENUITEM = "Drag"
	POPPARAMETERLIST = "Until Mouse Up,Until End Drag Message"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "End Drag"
	DISPLAYNAME = "End Drag"
	TYPE=void
	MENUITEM = "Drag"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>						

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "End Drag"></JSB_METHOD>

<JSB_METHOD
	NAME = "Constrain Drag"
	DISPLAYNAME = "Constrain Drag"
	TYPE=string
	MENUITEM = "Drag"
	POPPARAMETERLIST = "none,to container object"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>
<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Drag Boundries"></JSB_METHOD>

<JSB_METHOD
	NAME = "Set Collision Detection"
	DISPLAYNAME = "Set Collision Detection"
	TYPE=void
	MENUITEM = "Drag"
	LAYOUTOBJECTLIST = "vis">
	<JSB_PARAMETER  
		NAME="objectID"
		DISPLAYNAME="Object ID"
		TYPE="string">
	<JSB_PARAMETER  
		NAME="when"
		DISPLAYNAME="When"
		TYPE="string"
		VALUESET="drag,drop,move"
    	DEFAULTVALUE="drop" >
	<JSB_PARAMETER  
		NAME="type"
		DISPLAYNAME="Type"
		TYPE="string"
		VALUESET="intersection,not intersection,contained by,not contained by,contains,not contains,mouse inside,mouse not inside"
    	DEFAULTVALUE="intersection" >
	<JSB_PARAMETER  
		NAME="message"
		DISPLAYNAME="Message"
		TYPE="customevent">
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Clear Collision Detection"
	DISPLAYNAME = "Clear Collision Detection"
	TYPE=void
	MENUITEM = "Drag"
	LAYOUTOBJECTLIST = "vis">
</JSB_METHOD>						

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Drag"></JSB_METHOD>

<!-- ###### Get Property ######## -->			

<JSB_METHOD
	NAME = "Get Top"
	DISPLAYNAME = "Get Top"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Left"
	DISPLAYNAME = "Get Left"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Position"
	DISPLAYNAME = "Get Position"
	TYPE=object
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Z-Index"
	DISPLAYNAME = "Get Z-Index"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Get Z-Index"></JSB_METHOD>

<JSB_METHOD
	NAME = "Get Clip Top"
	DISPLAYNAME = "Get Clip Top"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Clip Bottom"
	DISPLAYNAME = "Get Clip Bottom"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Clip Left"
	DISPLAYNAME = "Get Clip Left"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Clip Right"
	DISPLAYNAME = "Get Clip Right"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
</JSB_METHOD>

<!-- ***** Image specific ***** -->		

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Get Clip Right"></JSB_METHOD>

<JSB_METHOD
	NAME = "Get Src"
	DISPLAYNAME = "Get Src"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Lowsrc"
	DISPLAYNAME = "Get Lowsrc"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>

<!--
<JSB_METHOD
	NAME = "Get Name"
	DISPLAYNAME = "Get Name"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Border"
	DISPLAYNAME = "Get Border"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Complete"
	DISPLAYNAME = "Get Complete"
	TYPE=boolean
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Height"
	DISPLAYNAME = "Get Height"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Width"
	DISPLAYNAME = "Get Width"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Hspace"
	DISPLAYNAME = "Get Hspace"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Vspace"
	DISPLAYNAME = "Get Vspace"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "img">
</JSB_METHOD>
-->

<!-- ***** Checkbox specific ***** -->		

<!--
<JSB_METHOD
	NAME = "Get Name"
	DISPLAYNAME = "Get Name"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>
-->

<JSB_METHOD
	NAME = "Get Checked"
	DISPLAYNAME = "Get Checked"
	TYPE=boolean
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>

<!--
<JSB_METHOD
	NAME = "Get Default State"
	DISPLAYNAME = "Get Default State"
	TYPE=boolean
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Value"
	DISPLAYNAME = "Get Value"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Length"
	DISPLAYNAME = "Get Length"
	TYPE="number"
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "chk">
</JSB_METHOD>
-->

<!-- ***** Radio Button specific ***** -->	
	
<!--
<JSB_METHOD
	NAME = "Get Name"
	DISPLAYNAME = "Get Name"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "rad">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Value"
	DISPLAYNAME = "Get Value"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "rad">
</JSB_METHOD>
-->

<JSB_METHOD
	NAME = "Get Checked"
	DISPLAYNAME = "Get Checked"
	TYPE=boolean
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "rad">
</JSB_METHOD>


<!-- ***** Text Field specific ***** -->	
	
<!--
<JSB_METHOD
	NAME = "Get Name"
	DISPLAYNAME = "Get Name"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "tfd">
</JSB_METHOD>
-->

<JSB_METHOD
	NAME = "Get Value"
	DISPLAYNAME = "Get Value"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "tfd">
</JSB_METHOD>

<!--
<JSB_METHOD
	NAME = "Get Default Value"
	DISPLAYNAME = "Get Default Value"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "tfd">
</JSB_METHOD>
 -->

<!-- ***** Selection Object specific ***** -->	
	
<!--
<JSB_METHOD
	NAME = "Get Name"
	DISPLAYNAME = "Get Name"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Length"
	DISPLAYNAME = "Get Length"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Options"
	DISPLAYNAME = "Get Options"
	TYPE=object
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>
-->

<JSB_METHOD
	NAME = "Get Selected Value"
	DISPLAYNAME = "Get Selected Value"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Selected Text"
	DISPLAYNAME = "Get Selected Text"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Selected Index"
	DISPLAYNAME = "Get Selected Index"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
</JSB_METHOD>

<!--
<JSB_METHOD
	NAME = "Get Default Selected For Index"
	DISPLAYNAME = "Get Default Selected For Index"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
	<JSB_PARAMETER
		NAME = "index"
		DISPLAYNAME = "Index"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Value For Index"
	DISPLAYNAME = "Get Value For Index"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
	<JSB_PARAMETER
		NAME = "index"
		DISPLAYNAME = "Index"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Text For Index"
	DISPLAYNAME = "Get Text For Index"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "sel">
	<JSB_PARAMETER
		NAME = "index"
		DISPLAYNAME = "Index"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>
-->
<!-- ***** Button specific ***** -->		

<!--
<JSB_METHOD
	NAME = "Get Name"
	DISPLAYNAME = "Get Name"
	TYPE=string
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "btn">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Value"
	DISPLAYNAME = "Get Value"
	TYPE=boolean
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "btn">
</JSB_METHOD>
-->

<!-- ***** Form specific ***** -->		

<JSB_METHOD
	NAME = "Get Form"
	DISPLAYNAME = "Get Form"
	TYPE=object
	MENUITEM = "Get Property"
	LAYOUTOBJECTLIST = "frm">
</JSB_METHOD>

<!-- ###### Set Property ######## -->			
 
<JSB_METHOD
	NAME = "Set Top"
	DISPLAYNAME = "Set Top"
	TYPE=void
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
	<JSB_PARAMETER
		NAME = "top"
		DISPLAYNAME = "Top"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Set Left"
	DISPLAYNAME = "Set Left"
	TYPE=void
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
	<JSB_PARAMETER
		NAME = "left"
		DISPLAYNAME = "Left"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Set Position"
	DISPLAYNAME = "Set Position"
	TYPE=void
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
	<JSB_PARAMETER
		NAME = "x"
		DISPLAYNAME = "Left"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "y"
		DISPLAYNAME = "Top"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>						
<JSB_METHOD
	NAME = "Set Z-Index"
	DISPLAYNAME = "Set Z-Index"
	TYPE=void
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,shk,com,snd,jav,jbn,act,vid,qck,doc,fra">
	<JSB_PARAMETER
		NAME = "zOrder"
		DISPLAYNAME = "z-Index"
		TYPE = "number"
		DEFAULTVALUE=1>
</JSB_METHOD>						

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Set Z-Index"></JSB_METHOD>

<JSB_METHOD
	NAME = "Set Clip Top"
	DISPLAYNAME = "Set Clip Top"
	TYPE="number"
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
	<JSB_PARAMETER
		NAME = "Value"
		DISPLAYNAME = "Value"
		TYPE = "Number"
		DEFAULTVALUE="">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Set Clip Bottom"
	DISPLAYNAME = "Set Clip Bottom"
	TYPE="number"
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
	<JSB_PARAMETER
		NAME = "Value"
		DISPLAYNAME = "Value"
		TYPE = "Number"
		DEFAULTVALUE="">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Set Clip Left"
	DISPLAYNAME = "Set Clip Left"
	TYPE="number"
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
	<JSB_PARAMETER
		NAME = "Value"
		DISPLAYNAME = "Value"
		TYPE = "Number"
		DEFAULTVALUE="">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Set Clip Right"
	DISPLAYNAME = "Set Clip Right"
	TYPE="number"
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "vis,doc,fra">
	<JSB_PARAMETER
		NAME = "Value"
		DISPLAYNAME = "Value"
		TYPE = "Number"
		DEFAULTVALUE="">
</JSB_METHOD>
 
<!-- ***** Image specific ***** -->		

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Set Clip Right"></JSB_METHOD>

<JSB_METHOD
	NAME = "Set Src"
	DISPLAYNAME = "Set Src"
	TYPE=string
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "img">
	<JSB_PARAMETER
		NAME = "Image"
		DISPLAYNAME="Image"
		TYPE = "image">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Set Lowsrc"
	DISPLAYNAME = "Set Lowsrc"
	TYPE=string
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "img">
	<JSB_PARAMETER
		NAME = "Image"
		DISPLAYNAME="Image"
		TYPE = "image">
</JSB_METHOD>
<!-- ***** Checkbox specific ***** -->		

<JSB_METHOD
	NAME = "Set Checked"
	DISPLAYNAME = "Set Checked"
	TYPE=void
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "chk">
	<JSB_PARAMETER
		NAME = "State"
		DISPLAYNAME = "State"
		TYPE = "boolean"
		DEFAULTVALUE="true">
</JSB_METHOD>						

<!-- ***** Raio Button specific ***** -->		
 
<JSB_METHOD
	NAME = "Set Checked"
	DISPLAYNAME = "Set Checked"
	TYPE=string
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "rad">
	<JSB_PARAMETER
		NAME = "Checked"
		DISPLAYNAME = "Checked"
		TYPE = "boolean"
		DEFAULTVALUE="true">
</JSB_METHOD>	
<!-- 
<JSB_METHOD
	NAME = "Set Value"
	DISPLAYNAME = "Set Value"
	TYPE=string
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "rad">
	<JSB_PARAMETER
		NAME = "Value"
		DISPLAYNAME = "Value"
		TYPE = "String"
		DEFAULTVALUE="">
</JSB_METHOD>						
 -->					

<!-- ***** Text Field specific ***** -->		

<JSB_METHOD
	NAME = "Set Value"
	DISPLAYNAME = "Set Value"
	TYPE=void
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "tfd">
	<JSB_PARAMETER
		NAME = "Value"
		DISPLAYNAME = "Value"
		TYPE = "String"
		DEFAULTVALUE="">
</JSB_METHOD>						

<!-- ***** Document specific ***** -->		
 
<JSB_METHOD
	NAME = "Set Background Color"
	DISPLAYNAME = "Set Background Color"
	TYPE=string
	MENUITEM = "Set Property"
	LAYOUTOBJECTLIST = "doc,fra">
	<JSB_PARAMETER
		NAME = "color"
		DISPLAYNAME = "Color"
		TYPE = "color"
		DEFAULTVALUE="#000000">
</JSB_METHOD>	

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Set Property"></JSB_METHOD>
					
<!-- ###### Location ######## -->	

<JSB_METHOD
	NAME = "Go To URL"
	DISPLAYNAME = "Go To URL"
	TYPE=void
	MENUITEM = "Location"
	LAYOUTOBJECTLIST = "doc,fra, fst">
	<JSB_PARAMETER
		NAME = "URL"
		DISPLAYNAME = "URL"
		TYPE = "link"
		DEFAULTVALUE="">
	<JSB_PARAMETER
		NAME = "Target Frame"
		DISPLAYNAME = "Target Frame"
		TYPE = "string"
		VALUESET="This,Top,Other"
		DEFAULTVALUE="This">
	<JSB_PARAMETER
		NAME = "Other Target"
		DISPLAYNAME = "Other Target"
		TYPE = "string"
		DEFAULTVALUE="">
</JSB_METHOD>
		
<!-- ###### Dialog ######## -->			

<JSB_METHOD
	NAME = "Alert"
	DISPLAYNAME = "Alert"
	TYPE=void
	MENUITEM = "Dialog"
	LAYOUTOBJECTLIST = "doc,fra, fst">
	<JSB_PARAMETER
		NAME = "Message"
		DISPLAYNAME = "Message"
		TYPE = "string"
		DEFAULTVALUE="">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Confirm"
	DISPLAYNAME = "Confirm"
	TYPE=boolean
	MENUITEM = "Dialog"
	LAYOUTOBJECTLIST = "doc,fra, fst">
	<JSB_PARAMETER
		NAME = "Message"
		DISPLAYNAME = "Message"
		TYPE = "string"
		DEFAULTVALUE="">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Prompt"
	DISPLAYNAME = "Prompt"
	TYPE=string
	MENUITEM = "Dialog"
	LAYOUTOBJECTLIST = "doc,fra, fst">
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Message"
		TYPE = "string"
		DEFAULTVALUE="">
	<JSB_PARAMETER
		NAME = "defaultValue"
		DISPLAYNAME = "Default Value"
		TYPE = "string"
		DEFAULTVALUE="">
</JSB_METHOD>



<!-- ###### Window ######## -->			

<JSB_METHOD
	NAME = "Set Status Bar"
	DISPLAYNAME = "Set Status Bar"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra, fst">
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Message"
		TYPE = "string"
		DEFAULTVALUE="">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Set Status Bar"></JSB_METHOD>

<JSB_METHOD
	NAME = "Resize To"
	DISPLAYNAME = "Resize To"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc, fst">
	<JSB_PARAMETER
		NAME = "width"
		DISPLAYNAME = "Width"
		TYPE = "number"
		DEFAULTVALUE=100>
	<JSB_PARAMETER
		NAME = "height"
		DISPLAYNAME = "Height"
		TYPE = "number"
		DEFAULTVALUE=100>
</JSB_METHOD>
<JSB_METHOD
	NAME = "Resize By"
	DISPLAYNAME = "Resize By"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc, fst">
	<JSB_PARAMETER
		NAME = "width"
		DISPLAYNAME = "Width"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "height"
		DISPLAYNAME = "Height"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Resize By></JSB_METHOD>

<JSB_METHOD
	NAME = "Reposition To"
	DISPLAYNAME = "Reposition To"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc, fst">
	<JSB_PARAMETER
		NAME = "top"
		DISPLAYNAME = "Top"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "left"
		DISPLAYNAME = "Left"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>
<JSB_METHOD
	NAME = "Reposition By"
	DISPLAYNAME = "Reposition By"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc, fst">
	<JSB_PARAMETER
		NAME = "top"
		DISPLAYNAME = "Top"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "left"
		DISPLAYNAME = "Left"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Reposition By></JSB_METHOD>

<JSB_METHOD
	NAME = "Scroll To"
	DISPLAYNAME = "Scroll To"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra">
	<JSB_PARAMETER
		NAME = "top"
		DISPLAYNAME = "Top"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "left"
		DISPLAYNAME = "Left"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>
<JSB_METHOD
	NAME = "Scroll By"
	DISPLAYNAME = "Scroll By"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra">
	<JSB_PARAMETER
		NAME = "top"
		DISPLAYNAME = "Top"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "left"
		DISPLAYNAME = "Left"
		TYPE = "number"
		DEFAULTVALUE=0>
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Scroll By></JSB_METHOD>


<JSB_METHOD
	NAME = "Close"
	DISPLAYNAME = "Close"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc, fst">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Close></JSB_METHOD>

<JSB_METHOD
	NAME = "Focus"
	DISPLAYNAME = "Focus"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra, fst">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Blur"
	DISPLAYNAME = "Blur"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra, fst">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Blur></JSB_METHOD>

<JSB_METHOD
	NAME = "Get Opener"
	DISPLAYNAME = "Get Opener"
	TYPE=string
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra, fst">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Get Name"
	DISPLAYNAME = "Get Name"
	TYPE=string
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra, fst">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Set Name"
	DISPLAYNAME = "Set Name"
	TYPE=string
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra">
	<JSB_PARAMETER
		NAME = "name"
		DISPLAYNAME = "Name"
		TYPE = "string">
</JSB_METHOD>	
<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Set Name></JSB_METHOD>


<JSB_METHOD
	NAME = "Open Window"
	DISPLAYNAME = "Open Window"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra, fst">
	<JSB_PARAMETER
		NAME = "name"
		DISPLAYNAME = "Name"
		TYPE = "string"
		DEFAULTVALUE="">
	<JSB_PARAMETER
		NAME = "URL"
		DISPLAYNAME = "URL"
		TYPE = "link"
		DEFAULTVALUE="">
	<JSB_PARAMETER
		NAME = "width"
		DISPLAYNAME = "Width"
		TYPE = "number"
		DEFAULTVALUE=400>
	<JSB_PARAMETER
		NAME = "height"
		DISPLAYNAME = "Height"
		TYPE = "number"
		DEFAULTVALUE=300>
	<JSB_PARAMETER
		NAME = "top"
		DISPLAYNAME = "Top"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "left"
		DISPLAYNAME = "Left"
		TYPE = "number"
		DEFAULTVALUE=0>
	<JSB_PARAMETER
		NAME = "toolbar"
		DISPLAYNAME = "Toolbar"
		TYPE = "string"
	   VALUESET="yes,no"
		DEFAULTVALUE="yes">
	<JSB_PARAMETER
		NAME = "menubar"
		DISPLAYNAME = "Menubar"
		TYPE = "string"
	   VALUESET="yes,no"
		DEFAULTVALUE="yes">
	<JSB_PARAMETER
		NAME = "location"
		DISPLAYNAME = "Location"
		TYPE = "string"
	   VALUESET="yes,no"
		DEFAULTVALUE="yes">
	<JSB_PARAMETER
		NAME = "status"
		DISPLAYNAME = "Status"
		TYPE = "string"
	   VALUESET="yes,no"
		DEFAULTVALUE="yes">
	<JSB_PARAMETER
		NAME = "resizable"
		DISPLAYNAME = "Resizable"
		TYPE = "string"
	   VALUESET="yes,no"
		DEFAULTVALUE="yes">
	<JSB_PARAMETER
		NAME = "directories"
		DISPLAYNAME = "Directories"
		TYPE = "string"
	   VALUESET="yes,no"
		DEFAULTVALUE="yes">
	<JSB_PARAMETER
		NAME = "scrollbars"
		DISPLAYNAME = "Scrollbars"
		TYPE = "string"
	   VALUESET="yes,no"
		DEFAULTVALUE="yes">
</JSB_METHOD>
<JSB_METHOD
	NAME = "Message To Window"
	DISPLAYNAME = "Message To Window"
	TYPE=void
	MENUITEM = "Window"
	LAYOUTOBJECTLIST = "doc,fra">
	<JSB_PARAMETER
		NAME = "window"
		DISPLAYNAME = "Target Window"
		TYPE = "string">
	<JSB_PARAMETER
		NAME = "object"
		DISPLAYNAME = "Target Object ID"
		TYPE = "string">
	<JSB_PARAMETER
		NAME = "message"
		DISPLAYNAME = "Message"
		TYPE = "customevent">
</JSB_METHOD>

<!-- ###### Browser ######## -->			
<JSB_METHOD
	NAME = "Check Browser Type"
	DISPLAYNAME = "Check Browser Type"
	TYPE=string
	MENUITEM = "Browser"
	POPPARAMETERLIST = "Is Navigator,Is Internet Explorer"
	LAYOUTOBJECTLIST = "doc,fra">
</JSB_METHOD>

<JSB_METHOD NAME = "Divider" DIVIDER = "Yes" MENUITEM = "Browser" >


<!--  The constructorfor the Netobject Bean, we will just include the javascript file in the header of the html file -->

<JSB_CONSTRUCTOR>
</JSB_CONSTRUCTOR>

<JSB_BODYTAG>
</JSB_BODYTAG>

<JSB_STARTBODY>
</JSB_STARTBODY>

<JSB_ENDBODY>
</JSB_ENDBODY>

</JSB>



